Package org.apache.sling.repoinit.parser.operations

# Class RestrictionClause

java.lang.Object
org.apache.sling.repoinit.parser.operations.RestrictionClause

@ProviderType public final class RestrictionClause extends Object
Single restriction(name,values*)

## Constructor Summary

Constructors
Constructor
Description
`RestrictionClause(String name, List<String> values)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`List<String>`
`getValues()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RestrictionClause

public RestrictionClause(String name, List<String> values)

## Method Details

### getName

public String getName()

### getValues

public List<String> getValues()

### toString

public String toString()

Overrides:
  `toString` in class `Object`